function [I] = intExacta(li,ls,func)
	select func
		case 1 then
			I = (ls^3 - li^3)/3;
		case 2 then
			I = 2/3*((ls)^(3/2) - (li)^(3/2));
		case 3 then
			I = exp(ls) - exp(li);
		case 4 then
			I = ls*(log(ls)-1) - li*(log(li)-1);
		case 5 then
			I = cos(li) - cos(ls);
		case 6 then 
			I = log(cos(li)) - log(cos(ls));
	end;
endfunction

function [I] = trapez(li,ls,ni,func)
	exec('functii/functie.sci');
	h = (ls-li)/ni;
	I = 0;
	for k = 1:ni-1,
		I = I + functie(li+k*h,func);
	end;
	I = (2*I+functie(li,func)+functie(ls,func))*h/2;
endfunction

function [I] = simpson(li,ls,ni,func)
	exec('functii/functie.sci');
	I = 0;
	h = (ls-li)/ni;
	x = [li:h:ls];
	y = functie(x,func);
	for k = 2:2:ni,
		I = I + y(k-1)+4*y(k)+y(k+1);
	end;
	I = I*h/3;
endfunction

function [I] = romberg(li,ls,ni,func,iter)
	exec('functii/functie.sci');
	I_tmp = trapez(li,ls,ni,func);
	ni_tmp = ni;
	for k = 1:iter,
		I = I_tmp;
		ni_tmp = 2*ni_tmp;
		I_tmp = trapez(li,ls,ni_tmp);
	end;
	I = (4*I_tmp - I)/3;
endfunction

